Browse Source

Force CephAnsiblePlaybook to its default value on FFU prepare

There is code in tripleo-ansible [1] which will look at if user
customized the CephAnsiblePlaybook to run and, if so, will always
use that instead of the special playbook we intend to use on
_systemd or _fstobs tags.

This change will reset param value to its default on FFU
prepare so that we actually trigger the special playbooks later
on in the process, whichever custom setting operators might
have set via CephAnsiblePlaybook param for their Queens deployment.

Closes-Bug: 1898589

1. https://github.com/openstack/tripleo-ansible/blob/master/tripleo_ansible/roles/tripleo_ceph_run_ansible/tasks/main.yml#L19

Change-Id: If3c0e12181bb926125eb8aa1014db35ed111ca35
(cherry picked from commit aafb509618)
(cherry picked from commit 8571c5d901)
changes/61/757461/2
Giulio Fidente 9 months ago
parent
commit
c73a0be54f
2 changed files with 4 additions and 0 deletions
  1. +3
    -0
      environments/lifecycle/update-prepare.yaml
  2. +1
    -0
      environments/lifecycle/upgrade-prepare.yaml

+ 3
- 0
environments/lifecycle/update-prepare.yaml View File

@ -4,3 +4,6 @@
resource_registry:
OS::TripleO::Tasks::*PreConfig: OS::Heat::None
OS::TripleO::Tasks::*PostConfig: OS::Heat::None
parameter_defaults:
CephAnsiblePlaybook: default

+ 1
- 0
environments/lifecycle/upgrade-prepare.yaml View File

@ -9,6 +9,7 @@ resource_registry:
parameter_defaults:
UpgradeLeappCommandOptions: " --enablerepo rhel-8-for-x86_64-baseos-eus-rpms --enablerepo rhel-8-for-x86_64-appstream-eus-rpms --enablerepo rhel-8-for-x86_64-highavailability-eus-rpms --enablerepo advanced-virt-for-rhel-8-x86_64-rpms --enablerepo ansible-2.9-for-rhel-8-x86_64-rpms --enablerepo fast-datapath-for-rhel-8-x86_64-rpms "
CephAnsiblePlaybook: default
EnablePackageInstall: true
UpgradeLevelNovaCompute: ''
UpgradeInitCommonCommand: |


Loading…
Cancel
Save